Bug 43366 - Replace confirm dialog does not move to avoid hiding selected text
Summary: Replace confirm dialog does not move to avoid hiding selected text
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 37 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-01 23:03 UTC by greenrd
Modified: 2007-12-06 23:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description greenrd 2002-06-01 22:48:32 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           kate
Version:           KDE 3.0.1 
Severity:          normal
Installed from:    Compiled From Sources
Compiler:          gcc version 3.1 20020522 (Red Hat Linux Rawhide 3.1-2)
OS:                Linux
OS/Compiler notes: Not Specified

When you do a search and replace with the confirm checkbox on the confirm dialog can sometimes hide the text to be replaced. This can confuse newbies and entails needless dialog-dragging to move the dialog out of the way.

Either the dialog should move around automatically to avoid obscuring text - or thinking more laterally it should be a temporary pane at the bottom of the window instead of a dialog box - that way no "jumping around" is necessary even if the document is too small to scroll.

(Submitted via bugs.kde.org)
Comment 1 hughjonesd 2003-02-23 15:44:18 UTC
I think the ideal would be like Outlook/Konqueror/Evolution: a search pane that drops 
down from the top of the window.  
Comment 2 Riku Voipio 2003-10-28 20:57:57 UTC
closely (IMHO) related: (from debian BTS #187339)

In the search/replace function, when prompted whether yes or not to replace,
it's not possible to scroll the text window to the left or right, in order to
have a look at the preceding or following text. In previous versions,
this problem didn't exist...
Comment 3 Thomas Friedrichsmeier 2007-12-06 23:53:09 UTC
In KDE 4 there is a search pane as suggested in comment #1 (at the bottom of the window, though). So no dialog to interfere with scrolling or obscuring the view.

Closing.